import type { _NSView } from "../AppKit/NSView.js";
import type { _AMWorkflowController } from "./AMWorkflowController.js";
export declare class _AMWorkflowView extends _NSView {
    static alloc(): _AMWorkflowView;
    static new(): _AMWorkflowView;
    init(): _AMWorkflowView;
    editable(): boolean;
    setEditable$(value: boolean): void;
    /**
     * This property was labeled "strong" in 10.12, even though it was really implemented as "assign". In 10.13 and above, this is now labeled and correctly implemented as "weak".
     */
    workflowController(): _AMWorkflowController | null;
    setWorkflowController$(value: _AMWorkflowController | null): void;
}
